# $Revision: 1.13 $, $Date: 2012/03/26 19:30:43 $
Summary:	LZMA file compressor
Summary(pl.UTF-8):	Kompresor plików oparty na algorytmie LZMA
Name:		lzip
Version:	1.13
Release:	1
License:	GPL v3+
Group:		Applications/Archiving
Source0:	http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz
# Source0-md5:	2f401e995c36cca05bd1805aa9c28231
Patch0:		%{name}-info.patch
URL:		http://savannah.nongnu.org/projects/lzip/
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lzip is a lossless file compressor based on the LZMA
(Lempel-Ziv-Markov chain-Algorithm) algorithm designed by Igor Pavlov.
The high compression of LZMA comes from combining two basic,
well-proven compression ideas: sliding dictionaries (i.e. LZ77/78),
and Markov models (i.e. the thing used by every compression algorithm
that uses a range encoder or similar order-0 entropy coder as its last
stage) with segregation of contexts according to what the bits are
used for.

%description -l pl.UTF-8
lzip to bezstratny kompresor plików oparty na algorytmie LZMA
(Lempel-Ziv-Markov chain-Algorithm) opracowanym przez Igora Pawłowa.
Wysoki stopień kompresji LZMA wywodzi się z połączenia dwóch
podstawowych, dobrze sprawdzonych idei kompresji: przesuwnych
słowników (LZ77/78) i modeli Markowa (używanych przez każdy algorytm
kompresji wykorzystujący w ostatnim stadium kodowanie zakresów lub
podobne kodowanie entropii rzędu 0) z podziałem kontekstów w
zależności od wykorzystania bitów.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make} all info

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/lzip
%{_mandir}/man1/lzip.1*
%{_infodir}/lzip.info*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lzip.spec,v $
Revision 1.13  2012/03/26 19:30:43  qboosh
- use complete lzip filename instead of "lz*" saving one character

Revision 1.12  2012/03/22 18:19:13  blekot
- up to 1.13

Revision 1.11  2011/05/04 18:16:32  marti
- up to 1.12

Revision 1.10  2010/09/28 11:29:04  lisu
- up to 1.11
- DEVEL merge

Revision 1.9.2.5  2010/08/30 18:46:39  lisu
- 1.11-rc5

Revision 1.9.2.4  2010/08/12 11:00:43  lisu
- 1.11-rc4

Revision 1.9.2.3  2010/08/02 13:19:39  lisu
- 1.11-rc3

Revision 1.9.2.2  2010/07/27 12:06:34  lisu
- 1.11-rc2

Revision 1.9.2.1  2010/07/12 13:26:28  lisu
- 1.11-rc1

Revision 1.9  2010/04/08 07:17:07  lisu
- up to 1.10 (merged from DEVEL)
- adapter

Revision 1.8.2.3  2010/03/18 10:09:52  lisu
- 1.10-rc3

Revision 1.8.2.2  2010/02/22 14:49:18  lisu
- up to 1.10-rc2

Revision 1.8.2.1  2010/02/15 14:31:47  lisu
- up to 1.10-rc1

Revision 1.8  2010/01/20 10:18:02  lisu
- 1.9
- TODO removed

Revision 1.7  2009/09/04 18:14:46  areq
- 1.8

Revision 1.6  2009/06/29 09:04:18  lisu
- 1.7

Revision 1.5  2009/06/23 13:46:31  lisu
- up to 1.6
- DEVEL merge
- TODO

Revision 1.4.2.3  2009/06/18 08:58:17  lisu
- up to 1.6-rc1

Revision 1.4.2.2  2009/06/02 07:27:10  lisu
- proper release for pre version

Revision 1.4.2.1  2009/06/02 07:10:42  lisu
- up to 1.6-pre2

Revision 1.4  2009/04/16 09:01:34  lisu
- up to final 1.5
- DEVEL merge

Revision 1.2.2.2.2.3  2009/03/23 10:53:01  lisu
- 1.5-rc2

Revision 1.2.2.2.2.2  2009/03/02 13:35:13  lisu
- 1.5-rc1

Revision 1.2.2.2.2.1  2009/02/18 09:18:43  lisu
- up to 1.5-pre1
- add missing commit logs from DEVEL branch

Revision 1.3  2009/01/26 11:36:11  areq
- 1.4

Revision 1.2.2.2  2009/01/15 11:22:48  lisu
- 1.4-pre3

Revision 1.2.2.1  2009/01/09 14:00:35  lisu
- up to 1.4-pre2

Revision 1.2  2008/12/22 13:17:54  lisu
- up to 1.3
- patch updated

Revision 1.1  2008/11/19 16:22:14  qboosh
- new
